Package Details: habitat 0.63.0-2

Git Clone URL: https://aur.archlinux.org/habitat.git (read-only)
Package Base: habitat
Description: Application automation framework that allows you to build applications that have automation built-in
Upstream URL: https://www.habitat.sh/
Keywords: automation cloud containers packaging
Licenses: Apache
Conflicts: habitat-bin, habitat-git
Provides: habitat
Submitter: dmp1ce
Maintainer: TrevorBramble (jaym)
Last Packager: TrevorBramble
Votes: 2
Popularity: 0.017365
First Submitted: 2017-04-16 14:43
Last Updated: 2018-09-19 18:29

Latest Comments

TrevorBramble commented on 2018-09-19 18:07

@TheDarkula It's an incompatibility with the new OpenSSL version 1.1.1. https://github.com/koute/cargo-web/issues/139

Fix is pending for that crate, but I'll update the package to constrain that version for now.

There's also the habitat-bin package. https://aur.archlinux.org/packages/habitat-bin/

TheDarkula commented on 2018-09-19 16:27

Just tried building this and it had an error while building openssl v0.9.24:

thread 'main' panicked at 'Unable to detect OpenSSL version'

TrevorBramble commented on 2018-03-29 21:28

@adsun Ah, of course. Thanks for pointing that out.

adsun commented on 2018-03-29 20:49

This also needs the git package, otherwise the build will fail.

TrevorBramble commented on 2017-12-29 21:39

@hadhoang, thanks for pointing that out. I've updated habitat-git, but need a resolution on an issue* before I can update this package from 0.50.x.

hdhoang commented on 2017-12-29 09:00

This package, along with habitat-git, needs zeromq to build and run hab-butterfly. /bin/hab doesn't link to libzmq.so though, so it can go into makedepends.